Page MenuHomePhabricator

enable mediawiki.page.ready in Minerva
Closed, ResolvedPublic

Description

Currently it is not possible to load mediawiki.page.ready in Minerva without pulling in incompatible code relating to table sorting and collapsible content.

This means it's not possible to use the new checkbox hack in Minerva.

T250851 should make mediawiki.page.ready configurable

Acceptance criteria

  • Minerva should load mediawiki.page.ready on all pages
  • Minerva uses the new hook added in T250851 to disable table sorting and collapsible content for now.

Sign off steps

Event Timeline

ovasileva triaged this task as Medium priority.Jul 7 2020, 3:28 PM
ovasileva moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Ammarpad changed the task status from Open to Stalled.Jul 10 2020, 11:53 AM
Ammarpad claimed this task.

Change 612569 had a related patch set uploaded (by Jdlrobson; owner: Peter.ovchyn):
[mediawiki/skins/MinervaNeue@master] Load mediawiki.page.ready on mobile

https://gerrit.wikimedia.org/r/612569

Ammarpad changed the task status from Stalled to Open.Jul 18 2020, 11:32 AM
Ammarpad reassigned this task from Ammarpad to Peter.ovchyn.
Ammarpad added a subscriber: Ammarpad.

Assigning to @Peter.ovchyn as he's already working on this.

Change 612569 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Load mediawiki.page.ready on Minerva

https://gerrit.wikimedia.org/r/612569

Jdlrobson updated the task description. (Show Details)

Change 637048 had a related patch set uploaded (by Jdlrobson; owner: Peter.ovchyn):
[mediawiki/skins/MinervaNeue@REL1_35] Load mediawiki.page.ready on Minerva

https://gerrit.wikimedia.org/r/637048

Change 637048 abandoned by Jdlrobson:
[mediawiki/skins/MinervaNeue@REL1_35] Load mediawiki.page.ready on Minerva

Reason:

https://gerrit.wikimedia.org/r/637048